SDL_NULL_WHILE_LOOP_CONDITION(3)

NAME
SDL_NULL_WHILE_LOOP_CONDITION - A macro for wrapping code in do{}while(0); without compiler warnings.

HEADER FILE
Defined in SDL3/SDL_assert.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_NULL_WHILE_LOOP_CONDITION (0)

DESCRIPTION
Visual Studio with really aggressive warnings enabled needs this to avoid compiler complaints.

the do{}while(0); trick is useful for wrapping code in a macro that may or may not be a single statement, to avoid various C language accidents.

To use:

        do { SomethingOnce(); } while (SDL_NULL_WHILE_LOOP_CONDITION (0));

AVAILABILITY
This macro is available since SDL 3.2.0.